Subject: Re: [net PATCH v2] octeontx2-pf: Fix ntuple rule creation to direct packet to VF with higher Rx queue than its PF

From: Simon Horman <[email-masked]>
Date: Thu, 23 Nov 2023 09:46:29 +0000

On Tue, Nov 21, 2023 at 10:26:24PM +0530, Suman Ghosh wrote:
> It is possible to add a ntuple rule which would like to direct packet to
> a VF whose number of queues are greater/less than its PF's queue numbers.
> For example a PF can have 2 Rx queues but a VF created on that PF can have
> 8 Rx queues. As of today, ntuple rule will reject rule because it is
> checking the requested queue number against PF's number of Rx queues.
> As a part of this fix if the action of a ntuple rule is to move a packet
> to a VF's queue then the check is removed. Also, a debug information is
> printed to aware user that it is user's responsibility to cross check if
> the requested queue number on that VF is a valid one.
> 
> Fixes: f0a1913f8a6f ("octeontx2-pf: Add support for ethtool ntuple filters")
> Signed-off-by: Suman Ghosh <[email-masked]>
> ---
> v2 changes:
> - Removed 'goto' and added the new condition to existing if check.

Thanks for the update.

Reviewed-by: Simon Horman <[email-masked]>